-- The customer table stores all customers.
-- Each remote database will download only customers that have been
-- assigned to them via the "assigned_to" column.
-- 
-- The assigned_to column does not contain the UUID that the 
-- MobiLink user was created with.  The UUID is stripped off
-- before the MobiLink scripts are used see the modify_user event.
--
CREATE TABLE customer
(
	cust_id      	        integer NOT NULL DEFAULT autoincrement,
	first_name     		varchar(30) NOT NULL,
	last_name            	varchar(30) NOT NULL,
	assigned_to            	varchar(50) NOT NULL,
	last_modified  		timestamp NULL DEFAULT timestamp,
	PRIMARY KEY( cust_id )
);

